#ifndef HTTPSERVERPRO_H
#define HTTPSERVERPRO_H

/*
 * @(#)HTTPServerPro.h
 *
 * Copyright (C) 2003 Jörg P. M. Haeger
 */

class HTTPServerPro: public HTTPServer {
	private: static pthread_mutex_t mutex;
	private: static String address0;
	private: static String args;
	private: static time_t t0;

	public: HTTPServerPro(class Socket &socket):
			HTTPServer(socket) {
	}

	public: static void parseURI(String address, String &uri) {
		if (uri.indexOf(".jnlp?") >= 0)
			uri = "/config/error/oneClick.html";
	}

	public: static void process(
			String &address,
			File &file,
			StringBuffer &workBuf) {
	}
};

#endif
